List comprehension is an elegant way to define and create lists based on existing lists.
List comprehension is generally more compact and faster than normal functions and loops
for creating list.
Syntax of List Comprehension
[expression for item in list]
